# This configuration file was automatically generated by Gitpod.
# Please adjust to your needs (see https://www.gitpod.io/docs/config-gitpod-file)
# and commit this file to your remote git repository to share the goodness with others.

image:
  file: .gitpod.Dockerfile
tasks:
  - name: Discord
    # This script will be run during workspac startup to ensure that your
    before: |
      if [[ ! -d "/workspace/.discordappdata" ]]; then
         mkdir /workspace/.discordappdata
      fi
      ln -s /workspace/.discordappdata ~/.config/discord
    command: ~/.local/lib/discord/Discord
ports:
  # VNC server
  - port: 5900
    onOpen: ignore
  # Ignore Discord's RPC local server for Rich Presence
  - port: 6463-6472
    onOpen: ignore
    visibility: private